PostgreSQLのバージョン:

lo_compat_privileges

9.0以前のPostgreSQLリリースでは、ラージオブジェクトはアクセス権限が無く、従って全てのユーザが常に読み込み、書き込みが可能でした。 この変数をonにすると、以前のリリースとの互換性のため、新規の権限チェックが無効になります。 デフォルトはoffです。 スーパーユーザのみこの設定を変更できます。

この変数を設定しても、ラージオブジェクトに関連した全ての安全性チェックを無効にする訳ではありません。PostgreSQL 9.0で変更されたデフォルトの動きに対してのみです。例えば、lo_import()lo_export()はこの設定に係わらずスーパーユーザの権限を必要とします。

件のコメント